Loading...
Searching...
No Matches
ClpPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalColumnDantzig.hpp>`

Inheritance diagram for ClpPrimalColumnDantzig:
[legend]
Collaboration diagram for ClpPrimalColumnDantzig:
[legend]

## Public Member Functions

Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none.
virtual void | saveWeights (ClpSimplex *model, int)
| Just sets model.
Constructors and destructors
| ClpPrimalColumnDantzig ()
| Default Constructor.
| ClpPrimalColumnDantzig (const ClpPrimalColumnDantzig &)
| Copy constructor.
ClpPrimalColumnDantzig & | operator= (const ClpPrimalColumnDantzig &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnDantzig ()
| Destructor.
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone.
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty).
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound.
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any column.
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use).
| ClpPrimalColumnPivot ()
| Default Constructor.
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor.
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator.
virtual | ~ClpPrimalColumnPivot ()
| Destructor.
ClpSimplex * | model ()
| Returns model.
void | setModel (ClpSimplex *newmodel)
| Sets model.
int | type ()
| Returns type (above 63 is extra information).
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off.
virtual void | switchOffSprint ()
| Switch off sprint idea.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.

## Additional Inherited Members

Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model.
int | type_
| Type of column pivot algorithm.
bool | looksOptimal_
| Says if looks optimal (normally computed).

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file ClpPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

## ClpPrimalColumnDantzig() [1/2]

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( |  | ) |

Default Constructor.

## ClpPrimalColumnDantzig() [2/2]

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( | const ClpPrimalColumnDantzig & |  | ) |

Copy constructor.

## ~ClpPrimalColumnDantzig()

virtual ClpPrimalColumnDantzig::~ClpPrimalColumnDantzig | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## pivotColumn()

virtual int ClpPrimalColumnDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2 )

virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

## saveWeights()

virtual void ClpPrimalColumnDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | )

inline virtual

Just sets model.

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

Definition at line 39 of file ClpPrimalColumnDantzig.hpp.

## operator=()

ClpPrimalColumnDantzig & ClpPrimalColumnDantzig::operator= | ( | const ClpPrimalColumnDantzig & | rhs | ) |

Assignment operator.

## clone()

virtual ClpPrimalColumnPivot * ClpPrimalColumnDantzig::clone | ( | bool | copyData = true | ) | const

virtual

Clone.

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

The documentation for this class was generated from the following file:

- Clp/src/ClpPrimalColumnDantzig.hpp